/* Displays the message "Hello World!" in
 * a browser or appletviewer window.
 */
import java.applet.Applet;
import java.awt.Graphics;
import java.awt.Color;
import java.io.*;
import java.net.*;

public class FileAccess extends Applet 
{  private String S;
   BufferedReader Inf;

   public void init()
   {	
	InputStream s=null;

	URL FileOnAcadURL=null;
	try {	// Set up a URL to the file
	  FileOnAcadURL=new URL(getCodeBase()+"4.txt");
	}
	catch (Exception e) 
	{ System.err.println("URL Setup failed...");
	  e.printStackTrace();
	}
	System.err.println("The URL is:"+FileOnAcadURL);

	// Set up security handling
	Object context = null;
	SecurityManager sm = System.getSecurityManager();
   	if (sm != null) context = sm.getSecurityContext();

	System.err.println("Security Manager is:"+sm);

    	String host = FileOnAcadURL.getHost();
    	SocketPermission sp = new SocketPermission(host + ":" + 80, "connect,resolve");
	System.err.println("Socket permission is:"+sp);

	if (sm != null) 
		sm.checkPermission(sp, context);
	try { // Hook up to the file on the server
	  s=FileOnAcadURL.openStream();
	}
	catch (Exception e) 
	{ e.printStackTrace();
	  System.err.println("!! Stream open failed !!");
	}

	System.err.println("The stream opened is:"+s);


	try {
		Inf=new BufferedReader(new InputStreamReader(s));
	}
	catch (Exception e) 
	{ e.printStackTrace();
	}
   }

   public void paint(Graphics g) 
   {
	try {
		S=Inf.readLine();
	}
	catch (Exception e) 
	{  e.printStackTrace();
	   System.err.println("Error reading file "+Inf);
	}
	int words=Integer.parseInt(S);
	for (int i=0;i<words;i++) {
	  try {
		S=Inf.readLine();
	  }
	  catch (Exception e) 
	  {  e.printStackTrace();
	     System.err.println("Error reading file "+Inf);
	  }
	  g.setColor(Color.blue);
          g.drawRect(30,30+10*i,50,10);
	  g.setColor(Color.black);
          g.drawString(S,30,30+10*i);
	}
   }
}

